Subject: Re: Last Call: <status-change-ip-versions-5-8-9-to-historic-01.txt> (Moving IP versions 5, 8, and 9 to Historic) to Historic

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Mar 2016 09:13:29 +1300

If we are doing this, then I think that CATNIP (RFC1707) needs to be made
Historic at the same time, even though it didn't need an IP version number.

I also recall rumours that some people were actually using ST2 at one point.
Are we sure that it's totally gone away?

Regards
   Brian Carpenter

On 18/03/2016 08:15, The IESG wrote:
> 
> The IESG has received a request from the Internet Engineering Steering
> Group IETF (iesg) to consider the following document:
> - 'Moving IP versions 5, 8, and 9 to Historic'
>   <status-change-ip-versions-5-8-9-to-historic-01.txt> as Historic
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2016-04-14. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
>

---

From: Bob Hinden <[email-masked]>
Date: Thu, 17 Mar 2016 14:40:37 -0700

I support this status change.

> On Mar 17, 2016, at 1:13 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I agree.

> Are we sure that it's totally gone away?

I think ST2 is historic, so changing it’s status is fine even if it seeing some actual use.

Thanks,
Bob

---

From: Lou Berger <[email-masked]>
Date: Thu, 17 Mar 2016 21:26:42 -0400

> Are we sure that it's totally gone away?

There were a number of ST2 (RFC1190) and ST2+ (RFC1819) deployments at
one point (in Japan, US and Germany).  I don't believe any are still in
operation and historic sounds just fine to me.

Lou
(Co-chair of ST2+ WG, co-editor of RFC1819 -- also worked on and
deployed some ST implementations)

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Mar 2016 15:55:20 +1300

After some private email from Scott:

The registry also assigns 7 to TP/IX, which became CATNIP.

So 7 also needs to be changed to Reserved and RFC1707 and RFC1475
both need to become Historic.

http://www.iana.org/assignments/version-numbers/version-numbers.xhtml#version-numbers-1

   Brian

---

From: <[email-masked]>
Date: Fri, 18 Mar 2016 09:17:20 +0000

Hi Brian, 

RFC1475 is already obsoleted. The status change asks also to deallocate IP version 7.   

Cheers,
Med

> -----Message d'origine-----
> De : ietf [mailto:[email-masked]] De la part de Brian E Carpenter
> Envoyé : vendredi 18 mars 2016 03:55
> À : [email-masked]
> Objet : Re: Last Call: <status-change-ip-versions-5-8-9-to-historic-
> 01.txt> (Moving IP versions 5, 8, and 9 to Historic) to Historic
>

---

From: Brian Haberman <[email-masked]>
Date: Fri, 18 Mar 2016 07:48:09 -0400

Hi Brian,

> both need to become Historic.

I will add RFC 1707 to this status change.

Regards,
Brian

---

From: Greg Skinner <[email-masked]>
Date: Mon, 21 Mar 2016 14:18:03 -0700

If it is not too late, I would like to request that RFCs 1287, 1380, 1550, and 1752 also be moved to Historic.  1287, 1380, and 1752 are referenced in the draft (1550 is referenced from 1752), and concern the replacement of IPv4 with (what would eventually become) IPv6.

Please see the following link from the sunset4 WG for more information.

https://mailarchive.ietf.org/arch/msg/sunset4/dsUpNpJsZZt4IEfS4afJKOyExnU <https://mailarchive.ietf.org/arch/msg/sunset4/dsUpNpJsZZt4IEfS4afJKOyExnU>

Greg

> On Mar 17, 2016, at 12:15 PM, The IESG <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> [email-masked] <mailto:[email-masked]> mailing lists by 2016-04-14. Exceptionally, comments may be
> sent to [email-masked] <mailto:[email-masked]> instead. In either case, please retain the
> https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/ <https://datatracker.ietf.org/doc/status-change-ip-versions-5-8-9-to-historic/>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 22 Mar 2016 11:08:45 +1300

Greg,

I object to reclassifying RFC 1752 (the IPng recommendation itself). Admittedly,
it *is* a historic document in the true meaning of the word, but I don't think
its status as PS is wrong - it expresses the fact that there was rough consensus
in 1994. Just because a document is old doesn't make it obsolete.

I also don't see the point in reclassifying RFC 1550 (the IPng white paper
solicitation). It is informational today just as it was then.

I object to reclassifying RFC 1380 (the ROAD report). Again, it is informational
about the situation in 1992. Actually, I think that everybody should read it
every couple of years.

Finally I object to reclassifying RFC 1287 (the IAB/IESG "Future Internet Architecture"
paper). It's information on how things looked in 1991. Also, if issued today, it
would most likely be in the IAB document stream, so the IESG can't reclassify
it anyway.

Regards
   Brian

---

From: Randy Bush <[email-masked]>
Date: Tue, 22 Mar 2016 07:29:27 +0900

personally, i would rather focus on new running code and documents than
reclassifying a jillion old documents.  get to hacking, darn it.

randy

---

From: Alia Atlas <[email-masked]>
Date: Mon, 21 Mar 2016 19:03:30 -0400

Randy,

Clarifying what nibbles an IP packet may start with is useful.  We keep
running into this for
data-plane encapsulations.   Having some values freed up from bitrot in a
small field helps.

Regards,
Alia

---

From: Greg Skinner <[email-masked]>
Date: Mon, 21 Mar 2016 13:22:06 -0700

Greg

> On Mar 17, 2016, at 12:15 PM, The IESG <[email-masked]> wrote:
> 
>